﻿using System;
using System.Collections.Generic;
using System.Web.UI.WebControls;

using System.Configuration;
using System.Data.SqlClient;

public partial class CS : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!this.IsPostBack)
        {
            this.BindGrid();
        }
    }    

    private void BindGrid()
    {
        gvCustomers.DataSource = this.PopulateData();
        gvCustomers.DataBind();
    }

    private List<CustomerCS> PopulateData()
    {
        List<CustomerCS> customers = new List<CustomerCS>();
        string query = "SELECT CustomerID, ContactName, City, Country FROM Customers";
        string constr = ConfigurationManager.ConnectionStrings["constr"].ConnectionString;
        using (SqlConnection con = new SqlConnection(constr))
        {
            using (SqlCommand cmd = new SqlCommand(query, con))
            {
                con.Open();
                using (SqlDataReader sdr = cmd.ExecuteReader())
                {
                    while (sdr.Read())
                    {
                        customers.Add(new CustomerCS
                        {
                            CustomerId = sdr["CustomerID"].ToString(),
                            ContactName = sdr["ContactName"].ToString(),
                            City = sdr["City"].ToString(),
                            Country = sdr["Country"].ToString()
                        });
                    }
                }
                con.Close();
            }
        }

        return customers;
    }

    protected void OnPaging(object sender, GridViewPageEventArgs e)
    {
        gvCustomers.PageIndex = e.NewPageIndex;
        this.BindGrid();
    }
}